Skip to main content

Update Resident: MRI

PUThttps://api.propexo.com/v1/residents/mri/:resident_id
Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentInformation

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The Propexo unique identifier for the resident

Request​

This endpoint expects an object.

    last_namestringrequired

    The last name associated with the resident

    lead_source_idstring

    The Propexo unique identifier for the lead source

    first_namestring

    The first name associated with the resident

    middle_initialstring

    The middle initial of the resident

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the resident

    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    qualifiedboolean

    Whether the resident is qualified

    genderstring

    The gender of the resident

    Show 2 enum values
    MALEFEMALE
    guarantorboolean

    Indicates if the resident is a guarantor for the primary resident.

    monthly_income_in_centsinteger

    The monthly income of the resident, in cents

    Possible values: >= 0

    email_1string

    The primary email address associated with the resident

    no_checks_in_cash_receiptsboolean

    To restrict the resident from making payments by check, set this to true. Defaults to false.

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident

    last_namestringrequired

    The last name associated with the resident

    lead_source_idstring

    The Propexo unique identifier for the lead source

    first_namestring

    The first name associated with the resident

    middle_initialstring

    The middle initial of the resident

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the resident

    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    qualifiedboolean

    Whether the resident is qualified

    genderstring

    The gender of the resident

    Show 2 enum values
    MALEFEMALE
    guarantorboolean

    Indicates if the resident is a guarantor for the primary resident.

    monthly_income_in_centsinteger

    The monthly income of the resident, in cents

    Possible values: >= 0

    email_1string

    The primary email address associated with the resident

    no_checks_in_cash_receiptsboolean

    To restrict the resident from making payments by check, set this to true. Defaults to false.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/mri/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/mri/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"last_name": "string",
"lead_source_id": "string",
"first_name": "string",
"middle_initial": "string",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"qualified": true,
"gender": "MALE",
"guarantor": true,
"monthly_income_in_cents": 0,
"email_1": "string",
"no_checks_in_cash_receipts": true
}
}